<?php
/*
Plugin Name: Grum Plugins Classes.2
Version: 2.0.2
Description: Collection de classes partagées entre mes plugins (existants, ou à venir) / Partaged classes between my plugins (actuals or futures)
Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=199
Author: grum@piwigo.org
Author URI: http://photos.grum.fr/
*/

/*
--------------------------------------------------------------------------------
  Author     : Grum
    email    : grum@grum.dnsalias.com
    website  : http://photos.grum.dnsalias.com
    PWG user : http://forum.phpwebgallery.net/profile.php?id=3706

    << May the Little SpaceFrog be with you ! >>
--------------------------------------------------------------------------------

:: HISTORY
  2.0.0       - 2008/07/20  +convert classes for piwigo 2.0
  2.0.1       - 2008/12/28  +convert classe tables.class.inc to php5 
  2.0.2       - 2009/04/26  +add set_options/get_options for pages_navigation class
                            +add option to set first/prev/next/last textes 

:: TO DO

:: WHAT ? WHY ?
This plugin doesn't do anything itself. It just provide classes for others plugins.

Classes version for this package
    ajax.class.php -v2.0 + ajax.js -v1.0.1
    common_plugin.class.php -v2.0
    css.class.php -v2.0
    pages_navigation.class.php -v1.0
    public_integration.class.php -v1.0
    tables.class.php -v1.4
    tabsheets.class.inc.php -v1.1
    translate.class.inc.php -v2.0.0 + google_translate.js -v2.0.0
    users_groups.class.inc.php -v1.0
    genericjs.class.inc.php -v1.0 + genericjs.js -v1.0

See each file to know more about them
--------------------------------------------------------------------------------
*/

if(!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

define('GPC_DIR' , basename(dirname(__FILE__)));
define('GPC_PATH' , PHPWG_PLUGINS_PATH . GPC_DIR . '/');

define('GPC_VERSION' , '2.0.2');

/*
  this function return true if class release if greater than needed by the plugin
*/
function checkGPCRelease($major, $minor, $minor2)
{
  $release = explode(".", GPC_VERSION);
  if(($release[0]>=$major)&&($release[1]>=$minor)&&($release[2]>=$minor2))
  {
    return(true);
  }
  return(false);
}


?>
